<mamecheat version="1">

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pb@FF8819=99</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@FF8826=0B</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1">
    <script state="run">
      <action condition="(frame % 60 == 0)">maincpu.pb@FF897B=80</action>
    </script>
  </cheat>

  <cheat desc="Infinite Rolling PL1">
    <script state="run">
      <action>maincpu.pb@FF8978=06</action>
    </script>
  </cheat>

  <cheat desc="Maximum homing missiles PL1">
    <script state="run">
      <action>maincpu.pb@FF8977=06</action>
    </script>
  </cheat>

  <cheat desc="Pod ON  - Left PL1">
    <script state="run">
      <action>maincpu.pb@FF993C=01</action>
    </script>
  </cheat>

  <cheat desc="Pod ON  - Right PL1">
    <script state="run">
      <action>maincpu.pb@FF999C=01</action>
    </script>
  </cheat>

  <cheat desc="Get Maximum speed - car PL1">
    <script state="on">
      <action>maincpu.pb@FF8972=60</action>
    </script>
  </cheat>

  <cheat desc="Get Maximum speed - plane PL1">
    <script state="on">
      <action>maincpu.pb@FF8972=0C</action>
    </script>
  </cheat>

  <cheat desc="Rapid fire - Weapon PL1">
    <script state="run">
      <action>maincpu.pb@FF8979=00</action>
    </script>
  </cheat>

  <cheat desc="Rapid fire - H. missiles PL1">
    <script state="run">
      <action>maincpu.pb@FF897A=00</action>
    </script>
  </cheat>

  <cheat desc="Rapid fire - Left pod PL1">
    <script state="run">
      <action>maincpu.pb@FF996E=00</action>
    </script>
  </cheat>

  <cheat desc="Rapid fire - Right pod PL1">
    <script state="run">
      <action>maincpu.pb@FF99CE=00</action>
    </script>
  </cheat>

  <cheat desc="Select Weapon PL1">
    <parameter>
      <item value="0x00">Normal Weapon</item>
      <item value="0x02">Double</item>
      <item value="0x04">3-way</item>
      <item value="0x06">Shotgun</item>
      <item value="0x08">Flame</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@FF8976=param</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@FF8827=0B</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2">
    <script state="run">
      <action condition="(frame % 60 == 0)">maincpu.pb@FF89FB=80</action>
    </script>
  </cheat>

  <cheat desc="Infinite Rolling PL2">
    <script state="run">
      <action>maincpu.pb@FF89F8=06</action>
    </script>
  </cheat>

  <cheat desc="Maximum homing missiles PL2">
    <script state="run">
      <action>maincpu.pb@FF89F7=06</action>
    </script>
  </cheat>

  <cheat desc="Pod ON  - Left PL2">
    <script state="run">
      <action>maincpu.pb@FF99FC=01</action>
    </script>
  </cheat>

  <cheat desc="Pod ON  - Right PL2">
    <script state="run">
      <action>maincpu.pb@FF9A5C=01</action>
    </script>
  </cheat>

  <cheat desc="Get Maximum speed - car PL2">
    <script state="on">
      <action>maincpu.pb@FF89F2=60</action>
    </script>
  </cheat>

  <cheat desc="Get Maximum speed - plane PL2">
    <script state="on">
      <action>maincpu.pb@FF89F2=0C</action>
    </script>
  </cheat>

  <cheat desc="Rapid fire - Weapon PL2">
    <script state="run">
      <action>maincpu.pb@FF89F9=00</action>
    </script>
  </cheat>

  <cheat desc="Rapid fire - H. missiles PL2">
    <script state="run">
      <action>maincpu.pb@FF89FA=00</action>
    </script>
  </cheat>

  <cheat desc="Rapid fire - Left pod PL2">
    <script state="run">
      <action>maincpu.pb@FF9A2E=00</action>
    </script>
  </cheat>

  <cheat desc="Rapid fire - Right pod PL2">
    <script state="run">
      <action>maincpu.pb@FF9A8E=00</action>
    </script>
  </cheat>

  <cheat desc="Select Weapon PL2">
    <parameter>
      <item value="0x00">Normal Weapon</item>
      <item value="0x02">Double</item>
      <item value="0x04">3-way</item>
      <item value="0x06">Shotgun</item>
      <item value="0x08">Flame</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@FF89F6=param</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
